const uniqueRandomArray = require("unique-random-array");
const words = require("./words.json");

function* nextWord() {
  while (true) {
    yield* words;
  }
}
let word = nextWord();

function newWord() {
  return `<span style="text-decoration:underline">${word.next().value}</span>`;
}

function getWord() {
  return word.next().value;
}

module.exports = {
  all: words,
  next: getWord,
  nextul: newWord,
  random: uniqueRandomArray(words)
};
